Skip to Content
CallMitraDocs
API referenceLeads

Delete a lead

Permanently deletes the lead. Past calls stay in call history.

DELETE
/api/v1/leads/{lead_id}

Permanently deletes the lead. Past calls stay in call history.

Authorization

headerX-API-Key<token>

Create in the console: Settings → API & webhooks.

Path Parameters

lead_id*Lead Id

Lead ID.

Response Body

OK

application/json
  1. response

The lead was deleted.

message?|

Lead deleted.

success?Success

Always true on a 2xx response.

Defaulttrue
[key: string]?any
Example Request
curl -X DELETE 'https://api.callmitra.ai/api/v1/leads/string'
Example Response
{  "message": "Lead deleted",  "success": true}